upstart-event-bridge(8)

NAME
upstart-event-bridge - Bridge between system Upstart and session Upstart

SYNOPSIS
upstart-event-bridge [OPTIONS]...

DESCRIPTION
upstart-event-bridge receives information about Upstart system events(8) have completed and creates Upstart session events for them. It emits events which match the pattern ":sys:*". Forwarding any event that's triggered on the system upstart as well as a virtual "restarted" event when upstart itself is restarted (during upgrades). See upstart-events(7) and for further details. This bridge should be run as a user, after the session bus has been setup and only once per session init.

OPTIONS

--daemon
    Detach and run in the background.

--debug
    Enable debugging output.

--help
    Show brief usage summary.

--verbose
    Enable verbose output.

NOTES
Since events emitted by this bridge at the session level are copies of the original system events, the blocking semantics of the original system events are not retained.

EXAMPLES
Some examples of Upstart events generated by this bridge:

:sys:restarted
    Event emitted when the system Upstart is restarted.

:sys:*
    Any event emitted on the system Upstart.

AUTHOR
Written by Stéphane Graber <stgraber@ubuntu.com>

BUGS
Report bugs at <https://launchpad.net/ubuntu/+source/upstart/+bugs>

COPYRIGHT
Copyright © 2012 Canonical Ltd.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
init(5) init(8) events(7)